#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

#define A1 5
#define A2 6
#define B1 7
#define B2 8

// NRF {
#define CE_PIN   9
#define CSN_PIN 10

int x_hiz=0;
int y_hiz=0;

const uint64_t pipe = 0xE8E8F0F0E1LL;

RF24 radio(CE_PIN, CSN_PIN); 

int data[9]; 
// NRF }
void setup() {
  pinMode(A1, OUTPUT);
  pinMode(A2, OUTPUT);
  pinMode(B1, OUTPUT);
  pinMode(B2, OUTPUT);
  
  Serial.begin(9600);                        
                  

  radio.begin();
  radio.setPALevel(RF24_PA_HIGH);
  radio.openReadingPipe(1,pipe);
  radio.startListening();
  
}

void tyl(){
  digitalWrite(A1,0);
  digitalWrite(A2,1);
  digitalWrite(B1,1);
  digitalWrite(B2,0);
}

void przod(){
  digitalWrite(A1,1);
  digitalWrite(A2,0);
  digitalWrite(B1,0);
  digitalWrite(B2,1);
}

void lewo(){
  digitalWrite(A1,1);
  digitalWrite(A2,0);
  digitalWrite(B1,1);
  digitalWrite(B2,0);
}

void prawo(){
  digitalWrite(A1,0);
  digitalWrite(A2,1);
  digitalWrite(B1,0);
  digitalWrite(B2,1);
}

void zerowanie(){
  digitalWrite(A1,0);
  digitalWrite(A2,0);
  digitalWrite(B1,0);
  digitalWrite(B2,0);
}
  
void loop()
{
  if ( radio.available() ) 
  {
    radio.read( data, sizeof(data) ); 

   Serial.print("Y: "); 
 
Serial.println(data[0]);
    
    odczyt(data[0],data[1],data[2],data[3],data[4],data[5],data[6],data[7],data[8]); 
  }
  
}
  

void odczyt(int x_axis, int y_axis, int button1, int button2, int button3, int button4, int button5, int button6, int button7) {

  if(y_axis>600){
    przod();
  }else if(y_axis<400){
    tyl();   
  }else{
    if(x_axis>600){
    prawo();
    }else if(x_axis<400){
      lewo();   
    }else{
      zerowanie();
    }
  }

  }
  
